CVE-2011-1590

Current Description

The X.509if dissector in Wireshark 1.2.x before 1.2.16 and 1.4.x before 1.4.5 does not properly initialize certain global variables, which allows remote attackers to cause a denial of service (application crash) via a crafted .pcap file.

Basic Data

PublishedApril 29, 2011
Last ModifiedSeptember 19, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-399
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:M/Au:N/C:N/I:N/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score4.3
SeverityMEDIUM
Exploitability Score8.6
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationWiresharkWireshark1.2.0*******
    2.3ApplicationWiresharkWireshark1.2.1*******
    2.3ApplicationWiresharkWireshark1.2.2*******
    2.3ApplicationWiresharkWireshark1.2.3*******
    2.3ApplicationWiresharkWireshark1.2.4*******
    2.3ApplicationWiresharkWireshark1.2.5*******
    2.3ApplicationWiresharkWireshark1.2.6*******
    2.3ApplicationWiresharkWireshark1.2.7*******
    2.3ApplicationWiresharkWireshark1.2.8*******
    2.3ApplicationWiresharkWireshark1.2.9*******
    2.3ApplicationWiresharkWireshark1.2.10*******
    2.3ApplicationWiresharkWireshark1.2.11*******
    2.3ApplicationWiresharkWireshark1.2.12*******
    2.3ApplicationWiresharkWireshark1.2.13*******
    2.3ApplicationWiresharkWireshark1.2.14*******
    2.3ApplicationWiresharkWireshark1.2.15*******
    2.3ApplicationWiresharkWireshark1.4.0*******
    2.3ApplicationWiresharkWireshark1.4.1*******
    2.3ApplicationWiresharkWireshark1.4.2*******
    2.3ApplicationWiresharkWireshark1.4.3*******
    2.3ApplicationWiresharkWireshark1.4.4*******

Vulnerable Software List

VendorProductVersions
Wireshark Wireshark 1.2.0, 1.2.1, 1.2.10, 1.2.11, 1.2.12, 1.2.13, 1.2.14, 1.2.15, 1.2.2, 1.2.3, 1.2.4, 1.2.5, 1.2.6, 1.2.7, 1.2.8, 1.2.9, 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4

References

NameSourceURLTags
http://anonsvn.wireshark.org/viewvc?revision=36608&view=revisionhttp://anonsvn.wireshark.org/viewvc?revision=36608&view=revisionCONFIRMPatch
FEDORA-2011-5621http://lists.fedoraproject.org/pipermail/package-announce/2011-April/058900.htmlFEDORA
FEDORA-2011-5569http://lists.fedoraproject.org/pipermail/package-announce/2011-April/058983.htmlFEDORA
FEDORA-2011-5529http://lists.fedoraproject.org/pipermail/package-announce/2011-April/058993.htmlFEDORA
[oss-security] 20110418 Wireshark 1.2.16 / 1.4.5http://openwall.com/lists/oss-security/2011/04/18/2MLISTExploit Patch
[oss-security] 20110418 Re: Wireshark 1.2.16 / 1.4.5http://openwall.com/lists/oss-security/2011/04/18/8MLISTExploit Patch
44172http://secunia.com/advisories/44172SECUNIAVendor Advisory
44374http://secunia.com/advisories/44374SECUNIA
44822http://secunia.com/advisories/44822SECUNIA
45149http://secunia.com/advisories/45149SECUNIA
48947http://secunia.com/advisories/48947SECUNIA
1025388http://securitytracker.com/id?1025388SECTRACK
DSA-2274http://www.debian.org/security/2011/dsa-2274DEBIAN
MDVSA-2011:083http://www.mandriva.com/security/advisories?name=MDVSA-2011:083MANDRIVA
71846http://www.osvdb.org/71846OSVDB
ADV-2011-1022http://www.vupen.com/english/advisories/2011/1022VUPENVendor Advisory
ADV-2011-1106http://www.vupen.com/english/advisories/2011/1106VUPEN
http://www.wireshark.org/security/wnpa-sec-2011-05.htmlhttp://www.wireshark.org/security/wnpa-sec-2011-05.htmlCONFIRM
http://www.wireshark.org/security/wnpa-sec-2011-06.htmlhttp://www.wireshark.org/security/wnpa-sec-2011-06.htmlCONFIRM
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5754https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5754CONFIRMExploit Patch
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5793https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5793CONFIRM
SUSE-SU-2011:0611https://hermes.opensuse.org/messages/8701428SUSE
oval:org.mitre.oval:def:15050https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A15050OVAL